Bug 165273 - No Postscript output on HP LJ5M
No Postscript output on HP LJ5M
Product: Fedora
Classification: Fedora
Component: system-config-printer (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Waugh
Depends On:
  Show dependency treegraph
Reported: 2005-08-06 07:54 EDT by Bernd Bartmann
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version: FC6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-12-13 10:39:02 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
output of 'printconf-tui --Xexport' (4.52 KB, text/plain)
2005-08-10 14:44 EDT, Bernd Bartmann
no flags Details
yet another output of the printer config (6.29 KB, text/plain)
2005-08-11 15:59 EDT, Bernd Bartmann
no flags Details

  None (edit)
Description Bernd Bartmann 2005-08-06 07:54:22 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; de-DE; rv:1.7.10) Gecko/20050720 Fedora/1.0.6-1.1.fc4 Firefox/1.0.6

Description of problem:
I configured a Postscript print queue to a HP LJ5M printer via a JetDirect network card. When I try to print a test page the display on the printer says "Busy..." for some seconds but then nothing is printed at all. A PCL6 queue on the same printer works just fine.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. use system-config-printer to setup a Postscript print queue to HP LJ5M via JetDirect network card

Additional info:
Comment 1 Tim Waugh 2005-08-10 06:03:48 EDT
Please attach the output of 'printconf-tui --Xexport', making sure to replace
any passwords it might contain with '*'s.
Comment 2 Bernd Bartmann 2005-08-10 14:44:39 EDT
Created attachment 117620 [details]
output of 'printconf-tui --Xexport'
Comment 3 Tim Waugh 2005-08-11 05:25:28 EDT
What happens if you create a new queue and select "HP" for the manufacturer, and
"LaserJet 5M" as the model?  This will create a PostScript queue, but with the
defaults set to the appropriate values for that model (in theory).  It will also
allow further options to be set.

What is the result of printing to that new queue?
Comment 4 Bernd Bartmann 2005-08-11 15:57:50 EDT
This results in the same problem. The printer display display something like
"Busy" for some seconds but nothing is printed at all.
Comment 5 Bernd Bartmann 2005-08-11 15:59:12 EDT
Created attachment 117660 [details]
yet another output of the printer config

The new queue is called HP_LJ5.
Comment 6 Tim Waugh 2005-08-12 10:46:24 EDT
Please do the following, as root (use "su -" to become root):

cd /usr/share/cups/model
wget http://www.linuxprinting.org/download/PPD/HP/mono_laser/HP_LaserJet_5M.ppd
service cups reload

Then start a web browser, go to http://localhost:631/ and add a new printer. 
Select HP as the manufacturer and "HP LaserJet 5M Postscript" as the model.

Does *that* print queue work?
Comment 7 Bernd Bartmann 2005-08-13 07:34:08 EDT
Yes, that print queue works.
Comment 8 Bernd Bartmann 2005-08-13 07:42:44 EDT
One additional remark:

Printing the test pages from the CUPS config web page and system-config-printer
now works with the new queue, but when I try to print from Firefox I see a
similar problem like before. Firefox seems to default to US Letter page size.
With US Letter the printer also just blinks for some seconds and the nothing is
printed at all. After changing the page size to A4 the print job comes out.
Normally I would expect the printer display to show a message like "Please
insert US Letter" not not just dropping the print job.
Comment 9 Tim Waugh 2006-12-13 10:39:02 EST
FC6 uses the PPD from comment #6.

Note You need to log in before you can comment on or make changes to this bug.